<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net10.0-windows</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>

    <!-- Single-file EXE -->
    <PublishSingleFile>true</PublishSingleFile>
    <SelfContained>true</SelfContained>

    <!-- No trimming (LHM + reflection will break) -->
    <PublishTrimmed>false</PublishTrimmed>

    <EnableCompressionInSingleFile>true</EnableCompressionInSingleFile>
	<InvariantGlobalization>true</InvariantGlobalization>

    <!-- Keep debugging symbols optional -->
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>

    <ApplicationIcon>telemetry_icon.ico</ApplicationIcon>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="LibreHardwareMonitorLib" Version="0.9.5" />
    <None Include="telemetry_icon.ico" />
    <EmbeddedResource Include="telemetry_icon.ico" />
  </ItemGroup>

</Project>
